## zeroc-ice 3.5.1-6.4ubuntu1%2B8.0trisquel1

=== debian/changelog ===
zeroc-ice (3.5.1-6.4ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Remove references to nonfree manual, #7963

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Mar 2019 16:57:53 +0000

zeroc-ice (3.5.1-6.4ubuntu1) xenial; urgency=medium

  * Remove php-zeroc-ice from the build (LP: #1566572).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 16:33:20 -0700

zeroc-ice (3.5.1-6.4build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:18:15 +0000

zeroc-ice (3.5.1-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove dependencies to fix FTBFS bug:
         libmono2.0-cil,
         mono-gmcs
      (Closes: #815775)
      [Note: the Ubuntu source packages zeroc-ice upstream ships have
       far fewer Build-Depends.]

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 04 Mar 2016 21:54:19 -0500

zeroc-ice (3.5.1-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove build-depends on hardening-wrapper
  * debian/libzeroc-ice35v5.lintian-overrides:
    - Fix override for v5 rename
  * debian/patches:
    - Add two patches from upstream git to fix build with ruby2.2:
          ice-6228-fix-build-with-ruby2.2_1.patch
          ice-6228-fix-build-with-ruby2.2_2.patch
      Closes: #791848.
    - Add patch to switch package to using dpkg-buildflags, as there is a
      Breaks: in binutils on hardening-wrapper.  See #802579.
          add-dpkg-buildflags.patch
  * debian/rules:
    - Remove lines for hardening-wrapper
  * Upload will trigger rebuild after update to dh-strip-nondeterminism,
    should fix bug reported by piuparts.  Closes: #803439.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 19 Nov 2015 20:35:26 -0500

zeroc-ice (3.5.1-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix enabling parallel builds (Santiago Vila). Closes: #769139.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 16:58:43 +0100

zeroc-ice (3.5.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Build using GCC 5.
  * Rename runtime libraries, follow-up for the libstdc++6 library transition.
    Closes: #791319.

  [ Emmanuel Bourg ]
  * Fix build with OpenJDK 8. Closes: #745100.

  [ Hector Oron ]
  * Enable parallel builds. Closes: #769139.
  * Fix "DEB_HOST_ vs DEB_BUILD_ variable usage mixup". Closes: #763717.

  [ Jean-Baptiste Rouault ]
  * Include generated .rb files in the ruby-zeroc-ice package.
    Closes: #790570.
  * Fix slice2py code generation with Python3. Closes: #790557.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Sep 2015 20:21:11 +0200
