=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francisco Moya <paco@debian.org>
Uploaders: Cleto Martín <cleto@debian.org>
Build-Depends: debhelper (>= 9),
 	       libdb++-dev,
	       libmcpp-dev (>= 2.7.1),
	       libreadline-gplv2-dev,
	       libexpat1-dev,
	       libssl-dev,
	       libbz2-dev,
 	       zlib1g-dev | libz-dev,
	       python-all-dev (>= 2.3.5-11),
	       python3-all-dev,
	       ruby-dev,
	       ruby,
	       libqt4-dev,
Build-Depends-Indep: mono-devel | c-sharp-2.0-compiler,
		     pkg-config,
 		     default-jdk | java-gcj-compat,
		     libjgoodies-looks-java (>= 2.5.2),
		     libjgoodies-forms-java (>= 1.6.0),
		     proguard (>= 4.1),
 		     libdb5.3-java (>= 5.1.4~) | libdb-java (>= 5.1.4~),
		     ant,
		     ant-optional,
	       	     cli-common-dev (>= 0.8~)
Standards-Version: 3.9.6
Homepage: http://www.zeroc.com/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: zeroc-ice35
Architecture: all
Provides: zeroc-ice
Replaces: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Conflicts: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Depends: ice35-services (>= ${binary:Version}),
 	 ice35-translators (>= ${binary:Version}),
 	 ice35-slice (>= ${binary:Version}),
 	 libzeroc-ice35-dev (>= ${binary:Version}),
 	 libzeroc-ice3.5-cil (>= ${binary:Version}),
 	 python-zeroc-ice (>= ${binary:Version}),
 	 python3-zeroc-ice (>= ${binary:Version}),
 	 libzeroc-ice3.5-java (>= ${binary:Version}),
 	 ${misc:Depends}
Recommends: libzeroc-ice35-dbg (>= ${binary:Version})
Description: Internet Communications Engine
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This metapackage contains dependencies for all Ice related packages.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: ice35-translators
Architecture: any
Provides: ice-translators, slice2cpp, slice2py, slice2cs, slice2java,
 	  slice2vb, slice2rb, slice2freeze, slice2freezej, slice2docbook,
	  slice2html
Conflicts: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	   slice2freeze, slice2freezej, slice2docbook, slice2html,
 	   ice-translators
Replaces: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	  slice2freeze, slice2freezej, slice2docbook, slice2html,
 	  ice-translators
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slice translators to several languages
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package contains all the Slice translators (slice2cpp, slice2py,
 slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
 slice2freezej, slice2docbook, and slice2html).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: ice35-services
Architecture: any
Provides: ice-services, icestorm, icegrid, icepatch2, glacier2, freeze
Replaces: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	  freeze, ice-services
Conflicts: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	   freeze, ice-services
Depends: icebox (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Services bundled into ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package contains binaries for all Ice services (IceGrid,
 IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicestorm35v5
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicestorm35
Replaces: libicestorm35
Description: Libraries implementing an event service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceStorm related libraries, an asynchronous
 event propagation service provided by Ice.  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicegrid35v5
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicegrid35
Replaces: libicegrid35
Description: Libraries implementing grid-like services for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceGrid related libraries, a complete grid
 management solution included in Ice. This service was formerly known
 as IcePack.  You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libicebox35v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libicebox35
Replaces: libicebox35
Description: Libraries implementing a plugin framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related libraries, a general purpose
 plug-in based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: icebox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin-based meta-application for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related utilities, a general purpose
 plugin-based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libicepatch2-35v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libicepatch2-35
Replaces: libicepatch2-35
Description: Libraries implementing a distribution service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IcePatch2 related libraries, a remote
 filesystem synchronization framework included in Ice.  You will find
 further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libglacier2-35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libglacier2-35
Replaces: libglacier2-35
Description: Libraries implementing a firewall service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the Glacier2 related libraries, a firewall
 solution for Ice applications.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libfreeze35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfreeze35
Replaces: libfreeze35
Description: Libraries implementing a persistence framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicedb35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicedb35
Replaces: libicedb35
Description: Libraries for persistent backends for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the Berkeley DB libraries for Freeze. You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: ice35-slice
Architecture: all
Provides: ice-slice
Replaces: ice-slice
Conflicts: ice-slice
Depends: ${misc:Depends}
Description: Slice definitions for Ice services
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
